%define         srcname       gdl

#ImageMagick caused issues with plplot < 5.9.0
%define         with_magick   ON

#works now
%define         with_hdf4     ON

#not compulsory, but certainly faster
%define         with_fftw     ON

#compilation is buggy and PYTHON.txt claims that "Due to the
#neglectible feedback, the python module development is currently on
#hold"
%define         with_pymodule OFF

#but we still want to call python from GDL
%define         with_python   ON


%define         prodir        gnudatalanguage

Name:           gnudl
Version:        0.9.5
%define subrel	1
Release:        %mkrel 2
Summary:        A free incremental compiler quite similar and compatible with IDL
License:        GPLv2+
Group:          Sciences/Physics

URL:            http://gnudatalanguage.sourceforge.net/
Source0:        http://sourceforge.net/projects/gnudatalanguage/files/gdl/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  sed
BuildRequires:  grep
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  libstdc++-devel
BuildRequires:  libgomp-devel
BuildRequires:  libreadline-devel
BuildRequires:  libwxgtku-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(plplotd) >= 5.9.10-1
BuildRequires:  pkgconfig(netcdf)
BuildRequires:  netcdf-cxx-devel
BuildRequires:  pkgconfig(proj)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  hdf5-devel
BuildRequires:  hdf-devel
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  libudunits2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libps)
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(GraphicsMagick)
BuildRequires:  pkgconfig(python)
BuildRequires:  python-numpy-devel
BuildRequires:  pkgconfig(eigen3)

#contains required font files
Requires:       plplot


%description
A free compatible incremental compiler (i.e. runs Interactive Data
Language programs). IDL is a registered trademark of ITT Visual
Information Solutions. All IDL language elements up to IDL version 7.1
are supported and more than 380 library routines are implemented. For
a sorted list enter HELP,/LIB at the command prompt and look for
library routines written in GDL in the %prodir/lib directory.


%prep
%setup -q -n %{srcname}-%{version}


%build

%cmake           -DMAGICK:BOOL=%{with_magick} \
                 -DHDF:BOOL=%{with_hdf4} \
                 -DFFTW:BOOL=%{with_fftw} \
                 -DPYTHON:BOOL=%{with_python} \
                 -DPYTHON_MODULE:BOOL=%{with_pymodule} \
                 -DWXWIDGETS:BOOL=ON \
                 -DUNITS:BOOL=ON \
                 -DUDUNITSDIR=/usr/include/udunits2 \
                 -DGRAPHICSMAGICK:BOOL=ON \
                 -DLIBPROJ4:BOOL=ON

%__ln_s config.h plplot_config.h

%make

%install
pushd build
%makeinstall_std
popd

%files
%doc README AUTHORS NEWS TODO HACKING ChangeLog COPYING
%{_mandir}/man1/*
%{_bindir}/gdl
%{_datadir}/%prodir


%changelog
* Wed Jun 22 2016 luigiwalser <luigiwalser> 0.9.5-2.1.mga5
+ Revision: 1037204
- rebuild for GraphicsMagick++ library

* Sun Feb 08 2015 eatdirt <eatdirt> 0.9.5-2.mga5
+ Revision: 814045
- Fix missing requires to plplot

* Thu Dec 04 2014 eatdirt <eatdirt> 0.9.5-1.mga5
+ Revision: 801561
- Fix missing BuildRequires
- Update to new version 0.9.5

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4-6.mga5
+ Revision: 739197
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4-5.mga5
+ Revision: 679821
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 fwang <fwang> 0.9.4-4.mga5
+ Revision: 666792
- rebuild for imagemagick

* Tue Feb 25 2014 eatdirt <eatdirt> 0.9.4-3.mga5
+ Revision: 596744
- Rebuild for new plplot

* Mon Oct 21 2013 umeabot <umeabot> 0.9.4-2.mga4
+ Revision: 538786
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 joequant <joequant> 0.9.4-1.mga4
+ Revision: 490390
- more fixes for plwid
- fix patch
- fix plplot api change
- upgrade to 0.9.4

* Thu Sep 19 2013 fwang <fwang> 0.9.3-6.mga4
+ Revision: 481482
- rebuild for new imagemagick

* Wed Aug 07 2013 fwang <fwang> 0.9.3-5.mga4
+ Revision: 464399
- rebuild for new imagemagick

* Tue Jul 16 2013 fwang <fwang> 0.9.3-4.mga4
+ Revision: 455008
- rebuild for new hdf5

* Tue May 28 2013 fwang <fwang> 0.9.3-3.mga4
+ Revision: 429159
- rebuild for new imagemagick

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-2.mga3
+ Revision: 352350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 eatdirt <eatdirt> 0.9.3-1.mga3
+ Revision: 343110
- Upgrade to version 0.9.3

* Fri Dec 14 2012 fwang <fwang> 0.9.2-4.mga3
+ Revision: 330772
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.9.2-3.mga3
+ Revision: 305128
- add more br

* Thu Jan 19 2012 fwang <fwang> 0.9.2-3.mga2
+ Revision: 198406
- build with wxgtku

* Sat Dec 10 2011 eatdirt <eatdirt> 0.9.2-2.mga2
+ Revision: 179886
- Rebuilt for fftw-3.3

* Wed Dec 07 2011 eatdirt <eatdirt> 0.9.2-1.mga2
+ Revision: 178252
- Upgrade to 0.9.2

* Mon Nov 07 2011 obgr_seneca <obgr_seneca> 0.9.1-3.mga2
+ Revision: 165148
- rebuild against new plplot

* Tue Sep 06 2011 eatdirt <eatdirt> 0.9.1-2.mga2
+ Revision: 139554
- imported package gnudl

